Create a recurring event
POST/api/calendar/recurring
POST
/api/calendar/recurring
Creates a recurring rehearsal pattern. Generates instances until end date or 365 days (whichever is earlier).
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”object
title
required
string
description
string
location
string
rrule
required
RFC 5545 RRULE format
string
startTime
required
Time of day (HH:MM)
string
durationMinutes
integer
timezone
string
startDate
required
Start date (YYYY-MM-DD)
string
endDate
string
rehearsalType
string
focusSongIds
Array<string>
agenda
string
roomBookingRef
string
cost
number
costSplitAmongAttendees
boolean
notes
string
Responses
Section titled “Responses”Recurring event created
object
ok
required
boolean
data
required
object
id
required
string format: uuid
instancesCreated
required
integer
warning
string
Validation error
object
ok
required
boolean
error
required
string
Unauthorized
object
ok
required
boolean
error
required
string
